IRSEND(1)

NAME
irsend - basic LIRC program to send infra-red commands

SYNOPSIS
irsend [options] DIRECTIVE REMOTE CODE [CODE...]

DESCRIPTION
Asks the lircd daemon to send one or more CIR (Consumer Infra-Red) commands. This is intended for remote control of electronic devices such as TV boxes, HiFi sets, etc.

DIRECTIVE can be:
    SEND_ONCE         - send CODE [CODE ...] once
    SEND_START        - start repeating CODE
    SEND_STOP         - stop repeating CODE
    LIST              - list configured remote items
    SET_TRANSMITTERS  - set transmitters NUM [NUM ...]

REMOTE is the name of a remote, as described in the lircd
    configuration file.

CODE is the name of a remote control key of REMOTE, as it
    appears in the lircd configuration file.

NUM is the transmitter number of the hardware device.

For the LIST DIRECTIVE, REMOTE and/or CODE can be empty:

    LIST   ""    ""   - list all configured remote names
    LIST REMOTE  ""   - list all codes of REMOTE
    LIST REMOTE CODE  - list only CODE of REMOTE

-h --help
    display usage summary

-v --version
    display version

-d --device
    use given lircd socket [/dev/lircd]

EXAMPLES
    irsend LIST DenonTuner ""
    irsend SEND_ONCE  DenonTuner PROG-SCAN
    irsend SEND_ONCE  OnkyoAmpli VOL-UP VOL-UP VOL-UP VOL-UP
    irsend SEND_START OnkyoAmpli VOL-DOWN ; sleep 3
    irsend SEND_STOP  OnkyoAmpli VOL-DOWN
    irsend SET_TRANSMITTERS 1
    irsend SET_TRANSMITTERS 1 3 4

FILES

/etc/lircd.conf
    Default lircd configuration file. It should contain all the remotes, their infra-red codes and the corresponding timing and waveform details.

DIAGNOSTICS
If lircd is not running (or /dev/lircd lacks write permissions) rc aborts with the following diagnostics:
"irsend: could not connect to socket"
"irsend: Connection refused" (or "Permission denied").

SEE ALSO
The documentation for lirc is maintained as html pages. They are located under html/ in the documentation directory.

lircd(8), mode2(1), smode2(1), xmode2(1), irrecord(1), irw(1), http://www.lirc.org.